gnutls_openpgp_crt_verify_self(3)

NAME
gnutls_openpgp_crt_verify_self - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_verify_self(gnutls_openpgp_crt_t key, unsigned int flags, unsigned int * verify);

ARGUMENTS

gnutls_openpgp_crt_t key
    the structure that holds the key.

unsigned int flags
    unused (should be 0)

unsigned int * verify
    will hold the key verification output.

DESCRIPTION
Verifies the self signature in the key. The key verification output will be put in verify and will be one or more of the gnutls_certificate_status_t enumerated elements bitwise or'd.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/